get entity by id
curl --request GET \
--url https://api.example.com/api/v1/subscription/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/subscription/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/subscription/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"tenantId": 123,
"startDate": 123,
"expirationDate": 123,
"plan": {
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"name": "<string>",
"maxUsers": 123,
"maxContracts": 123,
"maxProjects": 123,
"maxTriggers": 123,
"maxDetectors": 123,
"maxWallets": 123,
"maxActions": 123,
"maxApiKeys": 123,
"detectorRateLimit": 123,
"detectorRateLimitDuration": 123
},
"notifyBeforeExpireDays": [
123
]
}Subscription Route
get entity by id
GET
/
api
/
v1
/
subscription
/
{id}
get entity by id
Authorizations
Authentication
Path Parameters
Response
200 - application/json
OK
Unique identifier of the entity
Example:
1
Time when entity was created
Time when entity was updated
Status of the entity. Default: 'ACTIVE'
Available options:
ACTIVE, DISABLED, DELETED ID of the tenant
The start date of the subscription. Default now()
The expiration date of the subscription.
The plan details associated with the subscription.
Show child attributes
Show child attributes
A set of values, each specifies how many days before the subscription expiration the user will receive an email notification.